%global momorel 2

Summary: ASN.1 library
Name: libtasn1

Version: 2.7
Release: %{momorel}m%{?dist}
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnu.org/software/libtasn1/

Source0: ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): info

%description
This is the ASN.1 library used in GNUTLS. 

%package devel
Summary: Libraries and include files for developing with libtasn1
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libtasn1-devel

%prep
%setup -q

%build
%configure --enable-gtk-doc --disable-static
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
rm -f %{buildroot}/%{_datadir}/info/dir

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/libtasn1.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/libtasn1.info %{_infodir}/dir || :
fi

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README THANKS
%{_bindir}/asn1Coding
%{_bindir}/asn1Decoding
%{_bindir}/asn1Parser
%{_libdir}/%{name}.so.*
%exclude %{_libdir}/%{name}.la

%{_mandir}/man?/*
%{_datadir}/info/%{name}.info*

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.7-2m)
- full rebuild for mo7 release

* Tue Jul 13 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.7-1m)
- update to 2.7

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.3-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.3-1m)
- update to 2.3

* Sun Mar  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8-2m)
- change source url

* Sat Feb 28 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.8-1m)
- update to 1.8

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-3m)
- rebuild against rpm-4.6

* Sat Nov 15 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.5-2m)
- run install-info

* Thu Sep 25 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.5-1m)
- update to 1.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.3-2m)
- rebuild against gcc43

* Sat Mar  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.3-1m)
- update to 1.3

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1-2m)
- %%NoSource -> NoSource

* Tue Oct 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Sun Feb 18 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8-2m)
- retrived libtool library

* Sun Jan 21 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.8-1m)
- initial build
